Package net.snowflake.client.core

## Class SecureStorageLinuxManager

- java.lang.Object
- - net.snowflake.client.core.SecureStorageLinuxManager

    public class SecureStorageLinuxManager
    extends Object

Linux currently doesn't have a local secure storage like Keychain/Credential Manager in Mac/Windows. This class just wraps the local file cache logic to keep Linux platform api consistent Mac/Windows platform.

### Field Summary

Fields
`static int` `COLON_CHAR_LENGTH`
`static String` `DRIVER_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`net.snowflake.client.core.SecureStorageManager.SecureStorageStatus` `deleteCredential​(String host, String user, String type)` May delete credentials which doesn't belong to this process
`String` `getCredential​(String host, String user, String type)`
`static SecureStorageLinuxManager` `getInstance()`
`net.snowflake.client.core.SecureStorageManager.SecureStorageStatus` `setCredential​(String host, String user, String type, String token)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DRIVER_NAME

    public static final String DRIVER_NAME

See Also:
  Constant Field Values

#### COLON_CHAR_LENGTH

    public static final int COLON_CHAR_LENGTH

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static SecureStorageLinuxManager getInstance()

#### setCredential

    public net.snowflake.client.core.SecureStorageManager.SecureStorageStatus setCredential​(String host,
                                                                                            String user,
                                                                                            String type,
                                                                                            String token)

#### getCredential

    public String getCredential​(String host,
                                String user,
                                String type)

#### deleteCredential

    public net.snowflake.client.core.SecureStorageManager.SecureStorageStatus deleteCredential​(String host,
                                                                                               String user,
                                                                                               String type)

May delete credentials which doesn't belong to this process